Get trust relationship

Auth

Retrieves information about a trust relationship.

Path parameters

trust_relationship_id string required

Identifier for the trust relationship

Query parameters

include_certificate boolean · default: false

Whether to include the public CA certificates in the response.

Responses

The trust relationship info response

application/json
id string required

The id of the trust relationship

name string required

The name of the trust relationship

trust_by_default boolean required

If this relationship is trusted by default by all deployments in the current environment.

account_ids string[]

The ID of the accounts trusted by this relationship.

public_ca_cert string

The public CA certificate of the environment to trust

local boolean required

If this is the trust relationship for the local environment

installation_id string

The installation ID of the environment to trust

last_modified string · format: date-time required

The most recent time the trust relationship was changed (ISO format in UTC)

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)